View Issue Details

IDProjectCategoryView StatusLast Update
0002056Industrial-Craft²general / otherpublic2016-12-14 05:53
ReportercalvssAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWin10OS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002056: Server Crashes on startup
DescriptionServer crashes while starting up, fails to generate new world as well.

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (IC2)
Caused by: java.lang.NoClassDefFoundError: net/minecraft/client/gui/GuiScreen
    at java.lang.Class.getDeclaredConstructors0(Native Method)
    at java.lang.Class.privateGetDeclaredConstructors(Unknown Source)
    at java.lang.Class.getConstructor0(Unknown Source)
    at java.lang.Class.newInstance(Unknown Source)
    at ic2.core.ref.TeBlock.buildDummies(TeBlock.java:394)
    at ic2.core.IC2.init(IC2.java:320)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:600)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74)
    at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47)
    at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322)
    at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304)
    at com.google.common.eventbus.EventBus.post(EventBus.java:275)
    at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:243)
    at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:221)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74)
    at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47)
    at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322)
    at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304)
    at com.google.common.eventbus.EventBus.post(EventBus.java:275)
    at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:145)
    at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:795)
    at net.minecraftforge.fml.server.FMLServerHandler.finishServerLoading(FMLServerHandler.java:107)
    at net.minecraftforge.fml.common.FMLCommonHandler.onServerStarted(FMLCommonHandler.java:333)
    at net.minecraft.server.dedicated.DedicatedServer.func_71197_b(DedicatedServer.java:214)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:431)
    at java.lang.Thread.run(Unknown Source)
Steps To ReproduceClean reinstall of minecraft server 1.10.2 with forge-1.10.2-12.18.3.2185 and industrialcraft-2-2.6.127-ex110

BAT file used to launch forge:
java -Xmx2G -Xms256M -Xmn256M -jar forge-1.10.2-12.18.3.2185-universal.jar nogui
Additional InformationSame IC2 jarfile runs normally on client side with same forge version.
Tags1.10.2, Crash, server, SMP
Minecraft Version1.10.2

Activities

calvss

2016-12-09 03:25

reporter  

crash-2016-12-09_11.12.13-server.txt (5,758 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.6.127-ex110.jar)
Contact their authors BEFORE contacting forge

// I just don't know what went wrong :(

Time: 12/9/16 11:12 AM
Description: Exception in server tick loop

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (IC2)
Caused by: java.lang.NoClassDefFoundError: net/minecraft/client/gui/GuiScreen
	at java.lang.Class.getDeclaredConstructors0(Native Method)
	at java.lang.Class.privateGetDeclaredConstructors(Unknown Source)
	at java.lang.Class.getConstructor0(Unknown Source)
	at java.lang.Class.newInstance(Unknown Source)
	at ic2.core.ref.TeBlock.buildDummies(TeBlock.java:394)
	at ic2.core.IC2.init(IC2.java:320)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:600)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74)
	at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47)
	at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322)
	at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304)
	at com.google.common.eventbus.EventBus.post(EventBus.java:275)
	at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:243)
	at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:221)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74)
	at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47)
	at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322)
	at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304)
	at com.google.common.eventbus.EventBus.post(EventBus.java:275)
	at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:145)
	at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:795)
	at net.minecraftforge.fml.server.FMLServerHandler.finishServerLoading(FMLServerHandler.java:107)
	at net.minecraftforge.fml.common.FMLCommonHandler.onServerStarted(FMLCommonHandler.java:333)
	at net.minecraft.server.dedicated.DedicatedServer.func_71197_b(DedicatedServer.java:214)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:431)
	at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: net.minecraft.client.gui.GuiScreen
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	... 38 more
Caused by: net.minecraftforge.fml.common.asm.ASMTransformerWrapper$TransformerException: Exception in class transformer net.minecraftforge.fml.common.asm.transformers.SideTransformer@22d7b4f8 from coremod FMLCorePlugin
	at net.minecraftforge.fml.common.asm.ASMTransformerWrapper$TransformerWrapper.transform(ASMTransformerWrapper.java:253)
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279)
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176)
	... 40 more
Caused by: java.lang.RuntimeException: Attempted to load class bft for invalid side SERVER
	at net.minecraftforge.fml.common.asm.transformers.SideTransformer.transform(SideTransformer.java:56)
	at net.minecraftforge.fml.common.asm.ASMTransformerWrapper$TransformerWrapper.transform(ASMTransformerWrapper.java:249)
	... 42 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.10.2
	Operating System: Windows 8.1 (amd64) version 6.3
	Java Version: 1.8.0_45, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 183425608 bytes (174 MB) / 368050176 bytes (351 MB) up to 2058354688 bytes (1963 MB)
	JVM Flags: 3 total; -Xmx2G -Xms256M -Xmn256M
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP 9.32 Powered by Forge 12.18.3.2185 4 mods loaded, 4 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHI	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHI	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.3.2185-universal.jar) 
	UCHI	Forge{12.18.3.2185} [Minecraft Forge] (forge-1.10.2-12.18.3.2185-universal.jar) 
	UCHE	IC2{2.6.127-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.127-ex110.jar) 
	Loaded coremods (and transformers): 
IC2core (industrialcraft-2-2.6.127-ex110.jar)
  
	Profiler Position: N/A (disabled)
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

calvss

2016-12-09 03:47

reporter   ~0004922

I tested with older IC2 versions, and industrialcraft-2-2.6.125-ex110 is the latest version that works.

Chocohead

2016-12-09 07:49

developer   ~0004924

Fixed in IC2 2.6.128

calvss

2016-12-14 05:53

reporter   ~0004936

Very nice! It also has the side effect of resolving a TickingTileEntity crash on a pre-existing, multi modded world. I didn't bother sending a bug report for that since I wasn't sure which mod caused it.

Issue History

Date Modified Username Field Change
2016-12-09 03:25 calvss New Issue
2016-12-09 03:25 calvss File Added: crash-2016-12-09_11.12.13-server.txt
2016-12-09 03:27 calvss Tag Attached: 1.10.2
2016-12-09 03:27 calvss Tag Attached: Crash
2016-12-09 03:27 calvss Tag Attached: server
2016-12-09 03:27 calvss Tag Attached: SMP
2016-12-09 03:47 calvss Note Added: 0004922
2016-12-09 07:49 Chocohead Note Added: 0004924
2016-12-09 07:49 Chocohead Status new => resolved
2016-12-09 07:49 Chocohead Fixed in Version => Builds for MC 1.10.x
2016-12-09 07:49 Chocohead Resolution open => fixed
2016-12-09 07:49 Chocohead Assigned To => Chocohead
2016-12-14 05:53 calvss Note Added: 0004936